Skip to main content

Move a board

Moves a board to a specified folder. If the parent parameter is null, the board will be moved to the root level.

Parameters

parent
nullable string
Unique identifier for the folder in which the board will be moved. The folder must exist within the current workspace and must not be archived. If null, the board will be moved to the root level.

Returns

Returns the updated board object if the move succeeded. Throws an error if the folder does not exist or is archived.

post
/api/boards/{id}/move
curl -X POST https://{workspace}.kitchen.co/api/boards/{id}/move \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"created_at": "2024-03-21T07:32:03+00:00",
"id": "tskb_5e22e833684835b70ea85e45",
"title": "The board title",
"description": null,
"updated_at": "2024-03-21T07:32:03+00:00",
"visibility": "internal"
}